CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_PatrimonioTerzi] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_PatrimonioTerzi',  
  GETDATE(),  
  'Staging Immobiliare'  
 )  
 truncate table C6StagingPeriodicoImmobiliare.RP_PatrimonioTerzi  
/*  20/05/2015FCianfa e LM: aggiunta della where condition e valorizzazione a NULL di campi non più utilizzati per l'evolutiva patrimonio immobiliare.  
*/  
 insert into C6StagingPeriodicoImmobiliare.RP_PatrimonioTerzi  
 SELECT [chiaveProdottoTerzi]  
      ,[chiaveClientePB]  
      ,[idTipoProdotto]  
      ,[nomeProdotto]  
      ,NULL  
      ,[valutaCtv]  
      ,[ctv]  
      ,NULL  
      ,[dataCtv]  
      ,[prezzoMedioCarico]  
      ,[tipoProd]  
      ,[dtFine]  
      ,[divisa]  
      ,[ultimoPrezzo]  
   FROM [CONSUNI_PERIODICO].[ConsulenzaUnica].[dbo].[PatrimonioTerzi]  
   where dtFineValidita >getdate()   
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_PatrimonioTerzi' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_ST_PatrimonioTerzi'  
  )  
end